package com.maintain.common.pay;

/**
 * PayResponse
 *
 * @author Liu Shuai
 * @date 2025/10/28 14:30
 */
public class PayResponse {


    /**
     * errCode : 00
     * errInfo : 10000成功响应码
     * transactionTime : 140747
     * transactionDate : 1028
     * settlementDate : 1028
     * transactionDateWithYear : 20251028
     * settlementDateWithYear : 20251028
     * retrievalRefNum : 01479200019N
     * transactionAmount : 1
     * actualTransactionAmount : 1
     * amount : 1
     * orderId : 20251028140747440012928716
     * thirdPartyDiscountInstrution : 微信钱包支付0.01元
     * thirdPartyDiscountInstruction : 微信钱包支付0.01元
     * thirdPartyName : 微信钱包
     * userId : oUpF8uMv_IaPg4f03FtZSQ7TiAiM
     * thirdPartyBuyerId : oUpF8uMv_IaPg4f03FtZSQ7TiAiM
     * thirdPartyOrderId : 4200002861202510289915715464
     * thirdPartyPayInformation : 现金:1
     * cardAttr : 91
     * mchntName : 测试商户
     * chnlType : WXPay
     * promotionAmt : 0
     * systemTraceNum : 002841
     */

    private String errCode;
    private String errInfo;
    private String transactionTime;
    private String transactionDate;
    private String settlementDate;
    private String transactionDateWithYear;
    private String settlementDateWithYear;
    private String retrievalRefNum;
    private int transactionAmount;
    private int actualTransactionAmount;
    private int amount;
    private String orderId;
    private String thirdPartyDiscountInstrution;
    private String thirdPartyDiscountInstruction;
    private String thirdPartyName;
    private String userId;
    private String thirdPartyBuyerId;
    private String thirdPartyOrderId;
    private String thirdPartyPayInformation;
    private String cardAttr;
    private String mchntName;
    private String chnlType;
    private String promotionAmt;
    private String systemTraceNum;

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrInfo() {
        return errInfo;
    }

    public void setErrInfo(String errInfo) {
        this.errInfo = errInfo;
    }

    public String getTransactionTime() {
        return transactionTime;
    }

    public void setTransactionTime(String transactionTime) {
        this.transactionTime = transactionTime;
    }

    public String getTransactionDate() {
        return transactionDate;
    }

    public void setTransactionDate(String transactionDate) {
        this.transactionDate = transactionDate;
    }

    public String getSettlementDate() {
        return settlementDate;
    }

    public void setSettlementDate(String settlementDate) {
        this.settlementDate = settlementDate;
    }

    public String getTransactionDateWithYear() {
        return transactionDateWithYear;
    }

    public void setTransactionDateWithYear(String transactionDateWithYear) {
        this.transactionDateWithYear = transactionDateWithYear;
    }

    public String getSettlementDateWithYear() {
        return settlementDateWithYear;
    }

    public void setSettlementDateWithYear(String settlementDateWithYear) {
        this.settlementDateWithYear = settlementDateWithYear;
    }

    public String getRetrievalRefNum() {
        return retrievalRefNum;
    }

    public void setRetrievalRefNum(String retrievalRefNum) {
        this.retrievalRefNum = retrievalRefNum;
    }

    public int getTransactionAmount() {
        return transactionAmount;
    }

    public void setTransactionAmount(int transactionAmount) {
        this.transactionAmount = transactionAmount;
    }

    public int getActualTransactionAmount() {
        return actualTransactionAmount;
    }

    public void setActualTransactionAmount(int actualTransactionAmount) {
        this.actualTransactionAmount = actualTransactionAmount;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getThirdPartyDiscountInstrution() {
        return thirdPartyDiscountInstrution;
    }

    public void setThirdPartyDiscountInstrution(String thirdPartyDiscountInstrution) {
        this.thirdPartyDiscountInstrution = thirdPartyDiscountInstrution;
    }

    public String getThirdPartyDiscountInstruction() {
        return thirdPartyDiscountInstruction;
    }

    public void setThirdPartyDiscountInstruction(String thirdPartyDiscountInstruction) {
        this.thirdPartyDiscountInstruction = thirdPartyDiscountInstruction;
    }

    public String getThirdPartyName() {
        return thirdPartyName;
    }

    public void setThirdPartyName(String thirdPartyName) {
        this.thirdPartyName = thirdPartyName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getThirdPartyBuyerId() {
        return thirdPartyBuyerId;
    }

    public void setThirdPartyBuyerId(String thirdPartyBuyerId) {
        this.thirdPartyBuyerId = thirdPartyBuyerId;
    }

    public String getThirdPartyOrderId() {
        return thirdPartyOrderId;
    }

    public void setThirdPartyOrderId(String thirdPartyOrderId) {
        this.thirdPartyOrderId = thirdPartyOrderId;
    }

    public String getThirdPartyPayInformation() {
        return thirdPartyPayInformation;
    }

    public void setThirdPartyPayInformation(String thirdPartyPayInformation) {
        this.thirdPartyPayInformation = thirdPartyPayInformation;
    }

    public String getCardAttr() {
        return cardAttr;
    }

    public void setCardAttr(String cardAttr) {
        this.cardAttr = cardAttr;
    }

    public String getMchntName() {
        return mchntName;
    }

    public void setMchntName(String mchntName) {
        this.mchntName = mchntName;
    }

    public String getChnlType() {
        return chnlType;
    }

    public void setChnlType(String chnlType) {
        this.chnlType = chnlType;
    }

    public String getPromotionAmt() {
        return promotionAmt;
    }

    public void setPromotionAmt(String promotionAmt) {
        this.promotionAmt = promotionAmt;
    }

    public String getSystemTraceNum() {
        return systemTraceNum;
    }

    public void setSystemTraceNum(String systemTraceNum) {
        this.systemTraceNum = systemTraceNum;
    }
}
